UNIT panel;
{
*
*  panel.pas
*  ported to GNU Pascal by Prof. Abimbola A Olowofoyeku
*            http://www.greatchief.plus.com
*  March 15 2005
*
}

{---------------------------------------------------------------------------
                                 CncWare
----------------------------------------------------------------------------
  Filename..: panel.pp
  Programmer: Ken J. Wright
  Date......: 12/08/1999

  Purpose - Link to the Linux 'panel' library for ncurses windowing
            functions. The panel library handles overlapping windows,
            whereas, native ncurses windowing is only tiled.

-------------------------------< Revisions >---------------------------------
 Revision|   Date   | Prog| Description
-----------------------------------------------------------------------------
 1.00    | 12/08/99 | kjw | Initial release.
-----------------------------------------------------------------------------
}
INTERFACE
USES ncurses;

{$ifdef __GPC__}
   {$cidefine cdecl attribute(cdecl)}
   {$L panel}
   {$X+}
   {.$W-}
{$else} { GPC }
   {$PACKRECORDS 4}
   {$linklib panel}
{$endif}

  CONST
    libpanel = 'panel';

{$ifdef __GPC__}
TYPE
  int32 = integer attribute ( size = 32 );
{$else}
TYPE
  int32 = longint;
{$endif}

  TYPE

     pPANEL = ^_PANEL;

     _PANEL = RECORD
          win : ^WINDOW;
          wstarty : int32;
          wendy : int32;
          wstartx : int32;
          wendx : int32;
          below : ppanel;
          above : ppanel;
          user : int32; { NCURSES_CONST void  user; }
          obscure : pointer;
       END;

  FUNCTION panel_window ( _para1 : pPANEL ) : pWINDOW;cdecl;external {libpanel} name 'panel_window';
  PROCEDURE update_panels;cdecl;external {libpanel} name 'update_panels';
  FUNCTION hide_panel ( _para1 : pPANEL ) : int32;cdecl;external {libpanel} name 'hide_panel';
  FUNCTION show_panel ( _para1 : pPANEL ) : int32;cdecl;external {libpanel} name 'show_panel';
  FUNCTION del_panel ( _para1 : pPANEL ) : int32;cdecl;external {libpanel} name 'del_panel';
  FUNCTION top_panel ( _para1 : pPANEL ) : int32;cdecl;external {libpanel} name 'top_panel';
  FUNCTION bottom_panel ( _para1 : pPANEL ) : int32;cdecl;external {libpanel} name 'bottom_panel';
  FUNCTION new_panel ( _para1 : pWINDOW ) : pPANEL;cdecl;external {libpanel} name 'new_panel';
  FUNCTION panel_above ( _para1 : pPANEL ) : pPANEL;cdecl;external {libpanel} name 'panel_above';
  FUNCTION panel_below ( _para1 : pPANEL ) : pPANEL;cdecl;external {libpanel} name 'panel_below';

  { extern  int set_panel_userptr(PANEL  , NCURSES_CONST void  );  }
  { extern  NCURSES_CONST void  panel_userptr(const PANEL  );  }

  FUNCTION move_panel ( _para1 : pPANEL; _para2 : int32; _para3 : int32 ) : int32;cdecl;external {libpanel} name 'move_panel';
  FUNCTION replace_panel ( _para1 : pPANEL; _para2 : pWINDOW ) : int32;cdecl;external {libpanel} name 'replace_panel';
  FUNCTION panel_hidden ( _para1 : pPANEL ) : int32;cdecl;external {libpanel} name 'panel_hidden';

IMPLEMENTATION

END.
{
  $Log: panel.pp,v $
  Revision 1.6  2005/02/14 17:13:21  peter
    * truncate log

}
